%define oname vdr-plugin-xineliboutput
%define plugin xineliboutput
# manually created tarball from CVS tag
%define snapshot 0
%define prever 0
%define rel 7

%if %snapshot
%if %prever
%define release %mkrel 0.%prever.%snapshot.%rel
%else
%define release %mkrel 0.%snapshot.%rel
%endif
%else
%if %prever
%define release %mkrel 0.%prever.%rel
%else
%define release %mkrel %rel
%endif
%endif

%define xineplugindir %(xine-config --plugindir 2>/dev/null || echo 0)
# Does not always match rpm version, reports 1.1.9 on 1.1.9.1, so use rpmver directly instead.
#define xineversion %(xine-config --version 2>/dev/null || echo 0)
%define xineversion %(rpm -qf --qf '%%{version}' %{_bindir}/xine-config 2>/dev/null || echo 0)
%define xineapi %(A=%xineplugindir; echo ${A##*/})

Summary:        Xine frontend for the xineliboutput VDR plugin
Name:           xine-xvdr
Version:        1.0.6
Release:        %release
Group:          Video/Players
License:        GPLv2+
URL:            http://sourceforge.net/projects/xineliboutput/
%if %snapshot
Source0:        vdr-%plugin-%snapshot.tar.bz2
%else
%if %prever
Source0:        http://prdownloads.sourceforge.net/xineliboutput/vdr-%plugin-%{version}%{prever}.tar.bz2
%else
Source0:        http://prdownloads.sourceforge.net/xineliboutput/vdr-%plugin-%version.tar.lzma
Patch0:         xineliboutput-link.patch
%endif
%endif

BuildRequires:  vdr-devel >= 1.6.0
BuildRequires:  libx11-devel
BuildRequires:  libxv-devel
BuildRequires:  libxine-devel
BuildRequires:  jpeg-devel
BuildRequires:  libextractor-devel
BuildRequires:  libxrender-devel
BuildRequires:  libxinerama-devel
BuildRequires:  dbus-glib-devel

Requires:       xine-plugin-api >= %xineapi
Obsoletes:      vdr-plugin-xineliboutput-frontend-xine <= %{version}-%{release}
Obsoletes:      xineliboutput-fe-xine <= %{version}-%{release}

%description
With this package you can connect to your VDR with xine with an MRL
like below:
xvdr://127.0.0.1#nocache;demux:mpeg_block

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%prep
%if %snapshot
%setup -q -n vdr-%plugin
%else
%if %prever
%setup -q -n %plugin-%version%prever
%else
%setup -q -n %plugin-%version
%patch0 -p0
%endif
%endif

find -name CVS -type d | while read i; do rm -r "$i" || exit 1; done

%build
%setup_compile_flags
CFLAGS="$CFLAGS -fPIC"
LC_ALL=C %make XINELIBOUTPUT_VDRPLUGIN=0 XINELIBOUTPUT_X11=0 XINELIBOUTPUT_FB=0 VDRDIR=%{_includedir}/vdr LIBDIR=%{_libdir} VDRINCDIR=%{_includedir}/vdr BINDIR=%{_bindir} LOCALEDIR=.

%install
install -d -m755 %buildroot%xineplugindir/post %buildroot%_bindir
%makeinstall XINELIBOUTPUT_VDRPLUGIN=0 XINELIBOUTPUT_X11=0 XINELIBOUTPUT_FB=0 LOCALEDIR=. \
    XINEPLUGINDIR=%buildroot%xineplugindir
# (tv) fix debuginfo:
chmod +x %{buildroot}%{_libdir}/xine/plugins/*/{,*/}*.so

%files
%doc README
# xine-plugins maybe upgraded without new xine-xvdr (while everything still
# works). Therefore we have to include the plugindir as well.
%dir %{xineplugindir}
%{xineplugindir}/*.so
%{xineplugindir}/post/*.so


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.0.6-7.mga6
+ Revision: 963623
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 tv <tv> 1.0.6-6.mga6
+ Revision: 895105
- make lib executable thus fixing debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-5.mga5
+ Revision: 739752
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-4.mga5
+ Revision: 690666
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-3.mga4
+ Revision: 521558
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1.0.6-2.mga3
+ Revision: 391100
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 12 2011 obgr_seneca <obgr_seneca> 1.0.6-1.mga2
+ Revision: 104962
- new version 1.0.6
- added link-patch (resolving ld problem)
- imported package xine-xvdr


* Fri Jan 08 2010 Anssi Hannula <anssi@mandriva.org> 1.0.5-2mdv2010.1
+ Revision: 487428
- initial Mandriva release

